=== python/Makefile ===
all:
	python setup.py build

t:
	python sample.py

.PHONY: t
