=== debian/changelog ===
tinyobjloader (2.0.0~rc5+dfsg1-4) unstable; urgency=medium

  * Bump Standards-Version to 4.5.1
  * Update maintainer email address
  * Stop filtering vaguely linked symbols from DSO

 -- Timo Röhling <timo@gaussglocke.de>  Fri, 27 Nov 2020 21:34:52 +0100

tinyobjloader (2.0.0~rc5+dfsg1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit, Repository, Repository-Browse.

  [ Timo Röhling ]
  * [6352dc5] Fix FTBFS caused by LTO on some architectures
  * [4beabe3] Mark autopkgtest as superficial

 -- Timo Röhling <timo@gaussglocke.de>  Fri, 13 Nov 2020 16:59:32 +0100

tinyobjloader (2.0.0~rc5+dfsg1-2) unstable; urgency=medium

  * Update Vcs-* info.

 -- Timo Röhling <timo.roehling@fkie.fraunhofer.de>  Mon, 20 Apr 2020 14:35:19 +0200

tinyobjloader (2.0.0~rc5+dfsg1-1) unstable; urgency=medium

  * Initial release (Closes: #953882)

 -- Timo Röhling <timo.roehling@fkie.fraunhofer.de>  Fri, 13 Mar 2020 22:08:18 +0100
