=== debian/control ===
Source: tinyobjloader
Priority: optional
Maintainer: Timo Röhling <timo@gaussglocke.de>
Build-Depends: debhelper-compat (= 12), cmake,
               dh-python, python3-all-dev, python3-setuptools,
               python3-pybind11, pybind11-dev
Standards-Version: 4.5.1
Section: libs
Homepage: https://github.com/tinyobjloader/tinyobjloader
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/tinyobjloader.git
Vcs-Browser: https://salsa.debian.org/debian/tinyobjloader

Package: libtinyobjloader-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libtinyobjloader1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Tiny but powerful wavefront OBJ loader (header)
 tinyobjloader is a single file wavefront OBJ loader written
 in C++. It has no dependencies except the STL, and can parse
 over 10M polygons with moderate amounts of memory and time.
 .
 This package provides the C++ header for development.

Package: libtinyobjloader1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tiny but powerful wavefront OBJ loader
 tinyobjloader is a single file wavefront OBJ loader written
 in C++. It has no dependencies except the STL, and can parse
 over 10M polygons with moderate amounts of memory and time.

Package: python3-tinyobjloader
Section: python
Architecture: any
Multi-Arch: same
Provides: ${python3:Provides}
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Tiny but powerful wavefront OBJ loader (Python 3 bindings)
 tinyobjloader is a single file wavefront OBJ loader written
 in C++. It has no dependencies except the STL, and can parse
 over 10M polygons with moderate amounts of memory and time.
 .
 This package provides experimental Python 3 bindings.
