## tinyobjloader 2.0.0~rc10%2Bdfsg

=== debian/changelog ===
tinyobjloader (2.0.0~rc10+dfsg-3build2) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Apr 2024 10:55:12 +0000

tinyobjloader (2.0.0~rc10+dfsg-3build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 31 Oct 2023 18:01:48 +0000

tinyobjloader (2.0.0~rc10+dfsg-3) unstable; urgency=medium

  * Make package cross-buildable
  * Remove Multi-Arch: same from Python package
  * Avoid deprecation warning in CMake 3.27 (Closes: #1040722)

 -- Timo Röhling <roehling@debian.org>  Sun, 09 Jul 2023 23:39:33 +0200

tinyobjloader (2.0.0~rc10+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Röhling <roehling@debian.org>  Tue, 20 Dec 2022 20:35:01 +0100

tinyobjloader (2.0.0~rc10+dfsg-1) experimental; urgency=medium

  * New upstream version 2.0.0~rc10+dfsg
  * Bump SONAME to 2rc10
  * Update d/rules for moved setup.py
  * Bump Standards-Version to 4.6.2

 -- Timo Röhling <roehling@debian.org>  Sun, 18 Dec 2022 14:36:50 +0100

tinyobjloader (2.0.0~rc9+dfsg-1) experimental; urgency=medium

  * New upstream version 2.0.0~rc9+dfsg
  * Bump SONAME to 2rc9

 -- Timo Röhling <roehling@debian.org>  Wed, 23 Mar 2022 16:07:03 +0100

tinyobjloader (2.0.0~rc5+dfsg1-5) unstable; urgency=medium

  * Fix d/watch to use tags, not releases on Github
  * Bump Standards-Version to 4.6.0 (no changes)
  * Bump debhelper compat to 13

 -- Timo Röhling <roehling@debian.org>  Wed, 27 Oct 2021 00:12:26 +0200
