## tinyobjloader 2.0.0~rc10+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,9 +2,9 @@
 #This configures the Cmake system with multiple properties, depending
 #on the platform and configuration it is set to build in.
 project(tinyobjloader)
-cmake_minimum_required(VERSION 2.8.11)
-set(TINYOBJLOADER_SOVERSION 1)
-set(TINYOBJLOADER_VERSION 1.0.4)
+cmake_minimum_required(VERSION 3.2)
+set(TINYOBJLOADER_SOVERSION 2)
+set(TINYOBJLOADER_VERSION 2.0.0-rc.10)
 
 #optional double precision support
 option(TINYOBJLOADER_USE_DOUBLE "Build library with double precision instead of single (float)" OFF)
@@ -109,6 +109,11 @@
 #pkg-config file
 configure_file(${PROJECT_NAME}.pc.in ${LIBRARY_NAME}.pc @ONLY)
 
+if(DEFINED ENV{LIB_FUZZING_ENGINE})
+  add_executable(fuzz_ParseFromString fuzzer/fuzz_ParseFromString.cc)
+  target_link_libraries(fuzz_ParseFromString ${LIBRARY_NAME} $ENV{LIB_FUZZING_ENGINE})
+endif()
+
 #Installation
 install(TARGETS
   ${LIBRARY_NAME}
