=== python/Makefile ===
all:
	cd .. && python -m pip install .

t:
	python sample.py

.PHONY: t
