=== examples/skin_weight/Makefile ===
all:
	clang++ -std=c++11 -o skin_weight -I../../ -g main.cc
