=== debian/control ===
Source: tinyobjloader
Priority: optional
Maintainer: Timo Röhling <roehling@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 dh-python,
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all-dev,
 python3-setuptools,
 python3-pybind11,
 pybind11-dev,
Standards-Version: 4.6.2
Section: libs
Homepage: https://github.com/tinyobjloader/tinyobjloader
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/tinyobjloader.git
Vcs-Browser: https://salsa.debian.org/debian/tinyobjloader
Description: Tiny but powerful wavefront OBJ loader
 tinyobjloader is a single file wavefront OBJ loader written
 in C++. It has no dependencies except the STL, and can parse
 over 10M polygons with moderate amounts of memory and time.

Package: libtinyobjloader-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libtinyobjloader2rc10 (= ${binary:Version}),
Description: ${source:Synopsis} (header)
 ${source:Extended-Description}
 .
 This package provides the C++ header for development.

Package: libtinyobjloader2rc10
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: ${source:Synopsis}
 ${source:Extended-Description}

Package: python3-tinyobjloader
Section: python
Architecture: any
Multi-Arch: same
Provides:
 ${python3:Provides},
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: ${source:Synopsis} (Python 3 bindings)
 ${source:Extended-Description}
 .
 This package provides experimental Python 3 bindings.
