=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=+fixfilepath
export PYBUILD_NAME = tinyobjloader
export PYBUILD_DISABLE = test

BUILD_TESTING = $(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),OFF,ON)

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean -Npython3-tinyobjloader --buildsystem=cmake
	dh_auto_clean -ppython3-tinyobjloader --buildsystem=pybuild

override_dh_auto_configure:
	dh_auto_configure -Npython3-tinyobjloader --buildsystem=cmake -- \
		-DBUILD_SHARED_LIBS=ON \
		-DBUILD_TESTING=$(BUILD_TESTING)
	dh_auto_configure -ppython3-tinyobjloader --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build -Npython3-tinyobjloader --buildsystem=cmake
	dh_auto_build -ppython3-tinyobjloader --buildsystem=pybuild

override_dh_auto_test:
	dh_auto_test -Npython3-tinyobjloader --buildsystem=cmake
	dh_auto_test -ppython3-tinyobjloader --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install -Npython3-tinyobjloader --buildsystem=cmake
	rm -f debian/tmp/usr/share/doc/tinyobjloader/LICENSE
	dh_auto_install -ppython3-tinyobjloader --buildsystem=pybuild
