=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/tinyobjloader-$1\.tar\.gz/,\
dversionmangle=s/\+dfsg\d*$//,\
uversionmangle=s/-?(a|b|pre|rc)/~$1/,\
repack,repacksuffix=+dfsg \
  https://github.com/tinyobjloader/tinyobjloader/tags .*/v?(\d\S+)\.tar\.gz
