## tinyobjloader 2.0.0~rc13%2Bdfsg

=== debian/watch ===
Version: 5

Template: Github
Owner: tinyobjloader
Project: tinyobjloader
Dversion-Mangle: auto
Uversion-Mangle: auto
Repack: yes
Repack-Suffix: +dfsg
