=== examples/callback_api/Makefile ===
all:
	clang++ -I../../ -Wall -g -o example main.cc
