=== debian/changelog ===
tinyobjloader (2.0.0~rc13+dfsg-3) unstable; urgency=medium

  * Migrate debian/watch to version 5 format
  * Fix FTBFS with GCC-15 (Closes: #1098001)

 -- Timo Röhling <roehling@debian.org>  Sun, 07 Sep 2025 21:12:51 +0200

tinyobjloader (2.0.0~rc13+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * Bump Standards-Version to 4.7.0
  * Wrap and sort Debian package files

 -- Timo Röhling <roehling@debian.org>  Thu, 21 Nov 2024 15:53:31 +0100

tinyobjloader (2.0.0~rc13+dfsg-1) experimental; urgency=medium

  * New upstream version 2.0.0~rc13+dfsg
  * Bump SONAME to 2rc13
  * Use AUTOPKGTEST_TMP in autopkgtest

 -- Timo Röhling <roehling@debian.org>  Tue, 06 Feb 2024 22:57:38 +0100
