=== debian/control ===
--- 
+++ 
@@ -2,16 +2,17 @@
 Priority: optional
 Maintainer: Timo Röhling <roehling@debian.org>
 Build-Depends:
+ cmake,
  debhelper-compat (= 13),
- cmake,
  dh-python,
  dh-sequence-python3,
+ libpython3-all-dev,
+ pybind11-dev,
  pybuild-plugin-pyproject,
- python3-all-dev,
+ python3-all-dev:any,
+ python3-pybind11,
  python3-setuptools,
- python3-pybind11,
- pybind11-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Section: libs
 Homepage: https://github.com/tinyobjloader/tinyobjloader
 Rules-Requires-Root: no
@@ -27,15 +28,15 @@
 Architecture: any
 Multi-Arch: same
 Depends:
+ libtinyobjloader2rc13 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
- libtinyobjloader2rc10 (= ${binary:Version}),
 Description: ${source:Synopsis} (header)
  ${source:Extended-Description}
  .
  This package provides the C++ header for development.
 
-Package: libtinyobjloader2rc10
+Package: libtinyobjloader2rc13
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -47,7 +48,6 @@
 Package: python3-tinyobjloader
 Section: python
 Architecture: any
-Multi-Arch: same
 Provides:
  ${python3:Provides},
 Depends:
