=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,10 @@
 export PYBUILD_DISABLE = test
 
 BUILD_TESTING = $(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),OFF,ON)
+
+ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
+export _PYTHON_SYSCONFIGDATA_NAME=_sysconfigdata__$(DEB_HOST_MULTIARCH)
+endif
 
 %:
 	dh $@
