=== debian/tests/control ===
Tests:
 build-cpp import-py,
Depends:
 cmake,
 g++ | c++-compiler,
 libtinyobjloader-dev,
 python3-tinyobjloader,
Restrictions:
 superficial,
